unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    TrackBar1:TTrackBar;
    TrackBar2:TTrackBar;
    TrackBar3:TTrackBar;
    procedure FormCreate(Sender:TObject);
    procedure FormPaint(Sender:TObject);
    procedure TrackBar1Change(Sender:TObject);
    procedure TrackBar3ChangeBounds(Sender:TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R Unit1.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender:TObject);
begin

end;

procedure TForm1.FormPaint(Sender:TObject);
var
  a, l : Integer;
  x1,y1, x2, y2: Integer;
begin
  a:=0;

  x1:=TrackBar1.BoundsRect.Left;
  y1:=TrackBar1.BoundsRect.Bottom+20;
  x2:=x1+200;
  y2:=y1+200;


  Canvas.Brush.Style:=bsSolid;
  Canvas.Brush.Color:=clBlue;
  Canvas.RadialPie(x1, y1, x2, y2, a*16, TrackBar1.Position*16);
  inc(a, TrackBar1.Position);

  Canvas.Brush.Color:=clWhite;
  Canvas.RadialPie(x1, y1, x2, y2, a*16, TrackBar2.Position*16);
  inc(a, TrackBar2.Position);

  Canvas.Brush.Color:=clRed;
  Canvas.RadialPie(x1, y1, x2, y2, a*16, TrackBar3.Position*16);
  inc(a, TrackBar3.Position);

  Canvas.Brush.Color:=clGray;
  Canvas.RadialPie(x1, y1, x2, y2, a*16, (360-a)*16);

end;

procedure TForm1.TrackBar1Change(Sender:TObject);
begin
  Invalidate;
end;

procedure TForm1.TrackBar3ChangeBounds(Sender:TObject);
begin

end;

end.

